/* Copyright (c) 2009 PrimeBase Technologies GmbH, Germany
 *
 * PrimeBase Media Stream for MySQL
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * Barry Leslie
 *
 * System variables table.
 *
 */

#ifndef __SYSTAB_VARIABLES_H__
#define __SYSTAB_VARIABLES_H__

#include "CSMutex.h"

#include "Defs_ms.h"
#include "SystemTable_ms.h"

class MSVariableTable : public MSOpenSystemTable {
public:
	MSVariableTable(MSSystemTableShare *share, TABLE *table);
	~MSVariableTable();

	void use();
	void unuse();
	void seqScanInit();
	bool seqScanNext(char *buf);
	int	getRefLen() { return sizeof(iVariableIndex);}
	void seqScanPos(csWord1 *pos);
	void seqScanRead(csWord1 *pos, char *buf);

	void	updateRow(char *old_data, char *new_data);

private:
	csWord4			iVariableIndex;
};

extern DT_FIELD_INFO pbms_variable_info[];
extern DT_KEY_INFO pbms_variable_keys[];

#endif // __SYSTAB_VARIABLES_H__
